maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Attributes | List of all members
us_internal_loop_data_t Struct Reference

`#include <loop_data.h>`

Collaboration diagram for us_internal_loop_data_t:

## Public Attributes
struct us_timer_t * | sweep_timer
struct us_internal_async * | wakeup_async
int | last_write_failed
struct us_socket_context_t * | head
struct us_socket_context_t * | iterator
char * | recv_buf
void * | ssl_data
void(* | pre_cb )(struct us_loop_t *)
void(* | post_cb )(struct us_loop_t *)
struct us_socket_t * | closed_head
struct us_socket_t * | low_prio_head
int | low_prio_budget
long long | iteration_nr

## Detailed Description

Definition at line 21 of file loop_data.h.

## Member Data Documentation

## ◆ closed_head

struct us_socket_t* us_internal_loop_data_t::closed_head

Definition at line 31 of file loop_data.h.

Referenced by us_internal_free_closed_sockets(), us_internal_loop_data_init(), and us_listen_socket_close().

## ◆ head

struct us_socket_context_t* us_internal_loop_data_t::head

Definition at line 25 of file loop_data.h.

Referenced by us_internal_loop_data_init(), us_internal_loop_link(), us_internal_loop_unlink(), and us_internal_timer_sweep().

## ◆ iteration_nr

long long us_internal_loop_data_t::iteration_nr

Definition at line 35 of file loop_data.h.

Referenced by us_internal_loop_data_init(), us_internal_loop_pre(), and us_loop_iteration_number().

## ◆ iterator

struct us_socket_context_t* us_internal_loop_data_t::iterator

Definition at line 26 of file loop_data.h.

Referenced by us_internal_loop_data_init(), and us_internal_timer_sweep().

## ◆ last_write_failed

int us_internal_loop_data_t::last_write_failed

Definition at line 24 of file loop_data.h.

Referenced by us_internal_dispatch_ready_poll(), and us_socket_write().

## ◆ low_prio_budget

int us_internal_loop_data_t::low_prio_budget

Definition at line 33 of file loop_data.h.

Referenced by us_internal_dispatch_ready_poll(), us_internal_handle_low_priority_sockets(), and us_internal_loop_data_init().

## ◆ low_prio_head

struct us_socket_t* us_internal_loop_data_t::low_prio_head

Definition at line 32 of file loop_data.h.

Referenced by us_internal_dispatch_ready_poll(), us_internal_handle_low_priority_sockets(), us_internal_loop_data_init(), us_socket_close(), and us_socket_context_adopt_socket().

## ◆ post_cb

void(* us_internal_loop_data_t::post_cb) (struct us_loop_t *)

Definition at line 30 of file loop_data.h.

Referenced by us_internal_loop_data_init(), and us_internal_loop_post().

## ◆ pre_cb

void(* us_internal_loop_data_t::pre_cb) (struct us_loop_t *)

Definition at line 29 of file loop_data.h.

Referenced by us_internal_loop_data_init(), and us_internal_loop_pre().

## ◆ recv_buf

char* us_internal_loop_data_t::recv_buf

Definition at line 27 of file loop_data.h.

Referenced by us_internal_dispatch_ready_poll(), us_internal_loop_data_free(), and us_internal_loop_data_init().

## ◆ ssl_data

void* us_internal_loop_data_t::ssl_data

Definition at line 28 of file loop_data.h.

Referenced by us_internal_loop_data_init().

## ◆ sweep_timer

struct us_timer_t* us_internal_loop_data_t::sweep_timer

Definition at line 22 of file loop_data.h.

Referenced by us_internal_loop_data_free(), us_internal_loop_data_init(), and us_loop_integrate().

## ◆ wakeup_async

struct us_internal_async* us_internal_loop_data_t::wakeup_async

Definition at line 23 of file loop_data.h.

Referenced by us_internal_loop_data_free(), us_internal_loop_data_init(), and us_wakeup_loop().

The documentation for this struct was generated from the following file:

- integrations/rest_api/_deps/usockets-src/src/internal/loop_data.h